aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarc Zyngier <marc.zyngier@arm.com>2019-05-19 10:18:59 +0100
committerMarc Zyngier <marc.zyngier@arm.com>2019-05-19 10:18:59 +0100
commitcbd822f6d67378fcbef17d28049aea04ee4c69e0 (patch)
treeffdd7d65239a0cf844e93a1d520b141f18d7584e
parentf6752481f857621725893ba608f7080211cb5242 (diff)
downloadvminstall-cbd822f6d67378fcbef17d28049aea04ee4c69e0.tar.gz
Add DUMPDTB configuration variable
DUMPDTB allows the guest's DTB to be dumped to a file. Signed-off-by: Marc Zyngier <marc.zyngier@arm.com>
-rwxr-xr-xrunefivm.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/runefivm.sh b/runefivm.sh
index 8576495..85cc556 100755
--- a/runefivm.sh
+++ b/runefivm.sh
@@ -13,6 +13,7 @@ cdrom=${CDROM-nocdimage}
qemu=${QEMU-/usr/bin/qemu-system-aarch64}
accel=${ACCEL-kvm}
cputype=${CPUTYPE-host}
+dumpdtb=${DUMPDTB}
if [ "$bit" = 64 ]; then
sf=on
@@ -96,6 +97,11 @@ args=" -m $ram -smp $cpus -cpu $cputype,aarch64=$sf -machine virt,accel=$accel,
$tapredir $vhredir \
"
+if [ ! -z "$dumpdtb" ]; then
+ eval "$qemu -machine dumpdtb=$dumpdtb $args"
+ exit $?
+fi
+
dtb=`mktemp -p tmp --suffix=.dtb`
dts=`mktemp -p tmp --suffix=.dts`